#
# spec file for package perl-Test-Simple
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Simple
Version:        1.302059
Release:        1.1
%define cpan_name Test-Simple
Summary:        Basic utilities for writing tests
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Simple/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
Obsoletes:      perl-Test-Tester <= 0.109
Obsoletes:      perl-Test-use-ok <= 0.11
# MANUAL END

%description
** If you are unfamiliar with testing *read Test::Tutorial first!* **

This is an extremely simple, extremely basic module for writing tests
suitable for CPAN modules and other pursuits. If you wish to do more
complicated testing, use the Test::More module (a drop-in replacement for
this one).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc appveyor.yml Changes examples LICENSE README README.md

%changelog
* Tue Sep 27 2016 coolo@suse.com
- updated to 1.302059
  see /usr/share/doc/packages/perl-Test-Simple/Changes
* Mon Sep 26 2016 coolo@suse.com
- updated to 1.302059
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302059  2016-09-25 12:32:21-07:00 America/Los_Angeles
  - No changes from last trial
  1.302058  2016-09-21 10:46:13-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Mask warning when comparing $@ in Test2::API::Context
  1.302057  2016-09-18 12:12:18-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Doc fixes
  - Win32 color support in Test::Builder::Tester
  - Support v-strings in is_deeply
  - A streamed subtest run inside a buffered subtest will be automatically
    converted to a buffered subtest. Otherwise the output from inside the
    subtest is lost entirely. (#721)
* Tue Sep 13 2016 coolo@suse.com
- updated to 1.302056
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302056  2016-09-12 09:03:49-07:00 America/Los_Angeles
  - Minor typo fix
  - No logic chnges since last trial
  1.302055  2016-08-30 12:13:32-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix special case of ok line ending in \
  - Improve a test that captures STDERR/STDOUT (Thanks HAARG)
  1.302054  2016-08-20 16:21:44-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Allow '#' and '
  ' in ok names
  1.302053  2016-08-17 21:22:55-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix skip_all in require in intercept (#696)
  - Documentation of what is better in Test2 (#663)
  - Document Test::Builder::Tester plan limitations
  - Document limitations in is_deeply (#595)
  - Better documentation of done_testing purpose (#151)
  - Make ctx->send_event detect termination events (#707)
* Sun Aug 14 2016 coolo@suse.com
- updated to 1.302052
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302052  2016-08-13 14:34:07-07:00 America/Los_Angeles
  - No Changes from last trial
  1.302051  2016-08-11 20:26:22-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix setting hub when getting context
  1.302050  2016-08-10 22:12:19-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add contact info to main doc and readme
* Fri Jul 29 2016 coolo@suse.com
- updated to 1.302049
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302049  2016-07-28 07:03:31-07:00 America/Los_Angeles
  - No Changes from last trial
  1.302048  2016-07-27 07:42:14-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add 'active' attribute to hub
* Sun Jul 24 2016 coolo@suse.com
- updated to 1.302047
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302047  2016-07-22 22:36:29-07:00 America/Los_Angeles
  - No Changes from last trial
  1.302046  2016-07-19 06:58:43-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Restore traditional note/diag return values (#694)
* Tue Jul 19 2016 coolo@suse.com
- updated to 1.302045
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302045  2016-07-18 09:05:15-07:00 America/Los_Angeles
  - No changes from last TRIAL release
  1.302044  2016-07-13 17:56:20-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix test that segv'd on older perls
  1.302043  2016-07-12 09:37:31-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix TODO in mixed T2/TB subtests
  1.302042  2016-07-11 20:30:35-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix IPC event ordering bug
  1.302041  2016-07-09 17:01:45-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Work around IPC bug on windows
* Mon Jul 11 2016 coolo@suse.com
- updated to 1.302040
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302040  2016-07-09 16:55:00-07:00 America/Los_Angeles
  - No changes from last trial
  1.302039  2016-07-07 22:01:02-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add Info event for better diagnostics
  1.302038  2016-07-05 07:00:18-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix broken MANIFEST.SKIP entries (#689)
* Wed Jul  6 2016 coolo@suse.com
- updated to 1.302037
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302037  2016-07-04 10:09:00-07:00 America/Los_Angeles
  - No changes from trial
  1.302036  2016-07-03 11:52:45-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Restore PerlIO layer cloning on STDERR and STDOUT
* Mon Jul  4 2016 coolo@suse.com
- updated to 1.302035
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302035  2016-06-27 08:55:55-07:00 America/Los_Angeles
  - No changes since TRIAL release
  1.302034  2016-06-25 13:51:00-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix some breakage info (Thanks Dolman!)
  - POD Fixes (Thanks cpansprout!)
* Mon Jun 27 2016 coolo@suse.com
- updated to 1.302033
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302033  2016-06-24 05:56:54-07:00 America/Los_Angeles
  - No changes from last trial release
  1.302032  2016-06-22 11:30:46-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Fix nested TODO handling of Diags (#684)
* Thu Jun 23 2016 coolo@suse.com
- updated to 1.302031
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302031  2016-06-21 09:51:27-07:00 America/Los_Angeles
  - Remove carp from dep list #682
  1.302030  2016-06-18 19:02:55-07:00 America/Los_Angeles
  - No changes from last DEV release
  1.302029  2016-06-17 06:56:54-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Properly skip thread test when threads are broken
  1.302028  2016-06-16 19:21:58-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add 'inherit_trace' param to run_subtest
  1.302027  2016-06-15 09:42:32-07:00 America/Los_Angeles (TRIAL RELEASE)
  - use pre_filter instead of filter for TODO in Test::Builder (Fix $683)
  - Fix typos in transitions doc (#681)
* Sun Jun 12 2016 coolo@suse.com
- updated to 1.302026
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302026  2016-06-07 07:53:30-07:00 America/Los_Angeles
  - No Changes from 1.302025-TRIAL
  1.302025  2016-06-06 22:38:12-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Make sure enabling culling/shm sets pid and tid (Fix #679)
  1.302024  2016-06-02 20:27:35-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Add Generic event type
  1.302023  2016-06-02 08:09:54-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Do not fail if Test2::API::Breakage cannot load (rare 5.10.0 issue)
  - Potential fix for t/Legacy/Regression/637.t
  - Make t/Legacy/Regression/637.t AUTHOR_TESTING for now
* Mon May 30 2016 coolo@suse.com
- updated to 1.302022
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.302022  2016-05-28 17:53:11-07:00 America/Los_Angeles
  - Improve thread checks to better detect broken 5.10 builds
  - Use thread checks to skip/run t/Legacy/Regression/637.t
  1.302021  2016-05-20 21:47:17-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Files.t should warn, not die, if it cannot remove its temp dir.
  - VMS fixes for Files.t and IPC system
  1.302020  2016-05-18 11:54:15-07:00 America/Los_Angeles (TRIAL RELEASE)
  - Many micro-opts from Graham Knop (haarg)
  - Spelling fixes and tests from Karen Etheridge (ether)
  - Fix leaky File.t file so that tmp doesn't fill up
  - Move some modules out of the known broken list in xt tests
  - Add Test2 based tools to downstream testing
  - Change when PID/TID are stashed (for forkprove)
* Mon May 23 2016 coolo@suse.com
- updated to 1.302019
  see /usr/share/doc/packages/perl-Test-Simple/Changes
* Wed Jul  8 2015 coolo@suse.com
- recompile with perl 5.22
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.001014
  see /usr/share/doc/packages/perl-Test-Simple/Changes
  1.001014     Tue Dec 28 08:31:00:00 PST 2015
  * Write a test to ensure this changes file gets updated
  * Update changes file for 1.001013
  1.001013     Sun Dec 28 08:00:00:00 PST 2015
  * Fix a unit test that broke on some platforms with spaces in the $^X path
* Fri Jan 23 2015 coolo@suse.com
- add obsoletes to now integrated modules
* Sat Dec 27 2014 lars@linux-schulserver.de
- update to 1.001012:
  + Remove POD Coverage test
  + Integrate Test::Tester and Test::use::ok for easier
    downgrade from trial
  + Fix bug in cmp_ok
* Fri Oct 17 2014 lars@linux-schulserver.de
- update to 1.001008:
  + Fix subtest name when skip_all is used
  + Changed install path for perl 5.12 or higher.
  + Another Minor doc fix to solve test bug
  + Fix #399, conflict with strawberry-portable
* Mon Mar 24 2014 lars@linux-schulserver.de
- update to 1.001003:
  + Doc updates for maintainer change
* Tue Dec 10 2013 coolo@suse.com
- updated to 1.001002
  * restore ability to use regex with test_err and test_out
    (Zefram) [rt.cpan.org #89655] [github #389] [github #387]
    Bug Fixes
  * Fix precedence error with (return ... and ...)
    (nthykier) [github #385]
    Doc Changes
  * Add a shorter work around for the UTF-8 output problem.
    (Michael G Schwern)
    Bug Fixes
  * Test::Builder::Tester now works with subtests.
    (Michael G Schwern) [github 350]
  * Fix test_fail() inside a do statement.
    (nnutter) [github #369]
    New Features
  * A subtest will put its name at the front of its results to make
    subtests easier to read. [github #290] [github #364]
    (Brendan Byrd)
    Feature Changes
  * like() and unlike() no longer warn about undef. [github #335]
    (Michael G Schwern)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Feb 23 2011 lars@linux-schulserver.de
- update to 0.98:
  + subtest() should not fail if $? is non-zero.
  + The behavior of is() and undef has been documented.
  + Adapted the tests for the new Perl 5.14 regex stringification.
  + The filehandles used by default will now inherit any filehandle
    disciplines from STDOUT and STDERR IF AND ONLY IF they were applied
    before Test::Builder is loaded.
- also package the examples in docdir
* Tue Nov 30 2010 coolo@novell.com
- buildrequire perl-devel on fedora
* Thu Sep  9 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- bzipped Source
- added bcond_with pod
- fixed deps
  o Removed: Prov perl-Test-More, perl-Test-Builder
  o fixed dep for *Pod*
* Fri Aug 27 2010 pascal.bleser@opensuse.org
- update to 0.96
  * You can call done_testing() again after reset() [googlecode 59]
* Mon Jul  5 2010 jw@novell.com
- looong time no updated. 0.88 is needed for CPANPLUS packages.
  Let's fast forward this one.
- Update to 0.95_02
  See http://cpansearch.perl.org/src/MSCHWERN/Test-Simple-0.95_02/Changes
* Tue Feb 12 2008 lars@linux-schulserver.de
- Update to 0.74
  + Add abstract and author to the meta information.
  + Put the use_ok() fix from 0.71 back.
  + Fixed an obscure problem with is_deeply() and overloading ==
    [rt.cpan.org 20768].  Thanks Sisyphus.
  + Removed dependency on Text::Soundex [rt.cpan.org 25022]
  + Fixed a 5.5.x failure in fail-more.t
  + Got rid of the annoying sort_bug.t test that revealed problems with some
    threaded perls.  It was testing the deprecated eq_* functions and not
    worth the bother.  Now it tests is_deeply().  [rt.cpan.org 17791]
  + Minor POD mistake in Test::Builder [rt.cpan.org 28869]
  + Test::FAQ has been updated with some more answers.
  + Fixed the "LICENSE is not a known MakeMaker parameter name" warning
    on older MakeMakers for real this time.
* Tue Jul 24 2007 lars@linux-schulserver.de
- initial version 0.70
